2009-04-12  Heikki Orsila <heikki.orsila@iki.fi>
	* Version 1.3.14
        - Install the man page with proper permissions
        - Fix buffer underflow [CORRECTIVE]
        - Cleanup and fix sfv reading [CORRECTIVE] [PREVENTIVE]
        - Fix test script reporting [CORRECTIVE]
        - Consistent return value (1) for exit() [PREVENTIVE]

2008-08-24  Heikki Orsila <heikki.orsila@iki.fi>
	* Version 1.3.13
	- Bug fixes
	- Documentation improvements

2007-08-12  Heikki Orsila <heikki.orsila@iki.fi>
	* Version 1.3.12
	- Code cleanups
	- Documentation improvements
	- Added -g option that replaces -f in most cases. Instead of running
	      cksfv -C foo -f foo/bar.sfv
	  one can just run:
	      cksfv -g foo/bar.sfv

2007-07-11  Heikki Orsila <heikki.orsila@iki.fi>
	* Version 1.3.11
	- Nautilus 2 CheckSFV script
	- 64 bit file offset support for some platforms

2007-07-11  Heikki Orsila <heikki.orsila@iki.fi>
	- Added a bash script (scripts/CheckSFV) for checking SFV files with
	  Nautilus 2. You can install the script manually by:

	     cp scripts/CheckSFV ~/.gnome2/nautilus-scripts/

	  Contributed by Mike Appelman <chokuchou@gmail.com>.

2007-05-24  Heikki Orsila <heikki.orsila@iki.fi>
	- Added -D_FILE_OFFSET_BITS=64 for some 32 bit platforms to
	  support files large files properly (Catalin Boie) [PERFECTIVE]
	  [ADAPTIVE]
	- Change log and version control log will from now use 1-4 tags,
	  which are: [PREVENTIVE], [PERFECTIVE], [ADAPTIVE] and
	  [CORRECTIVE]. [PREVENTIVE] means preventive maintenance actions,
	  such as assertions and self-tests. [PERFECTIVE] means actions
	  improving program quality or adding features.
	  [ADAPTIVE] means changes to adapt to certain run-time
	  environment. [CORRECTIVE] means bug fixes.

2007-03-25  Heikki Orsila <heikki.orsila@iki.fi>
	* Version 1.3.10
	- Added an option (-c) for remote programs to monitor sfv checking
	  more easily
	- MinGW fixes

2007-03-25  Heikki Orsila <heikki.orsila@iki.fi>
	- Added -c option to force progress and final resolution prints 
	  to stdout. See the man page.

2006-07-01  Heikki Orsila <heikki.orsila@iki.fi>
	- Merged experimental support for MinGW build process from
	  Yar Tikhiy <yar@comp.chem.msu.su>. I did some modifications
	  to the patch submitted by Yar and did not test the result,
	  so expect this doesn't work yet.
	- Fixed MinGW OS recognition in configure script (hopefully
	  works this time)

2006-03-07  Heikki Orsila <heikki.orsila@iki.fi>
	* Version 1.3.9
	- Fixed large file support for Solaris (Mark Niggemann
	  <mark.niggemann@ge.com>)
	- Added an option that converts backslashes to slashes. It is useful
	  for checking sfv files generated by Windows systems. The feature
	  was implemented by Tero Halla-aho <thallaa@msn.com>.

2006-03-06  Heikki Orsila <heikki.orsila@iki.fi>
	- If uname matches SunOS, add -D_FILE_OFFSET_BITS=64 to support
	  files bigger than 2 GiB. Thanks to Mark Niggemann
	  <mark.niggemann@ge.com> for finding and fixing the problem.

2006-02-15  Heikki Orsila <heikki.orsila@iki.fi>
	- Added an option that converts backslashes to slashes. It is useful
	  for checking sfv files generated by Windows systems. The feature
	  was implemented by Tero Halla-aho <thallaa@msn.com>.

2006-01-01  Heikki Orsila <heikki.orsila@iki.fi>
	* Version 1.3.8
	- configure and Makefile cleanups and fixes.

2005-10-24  Heikki Orsila <heikki.orsila@iki.fi>
	- Mike Frysinger <vapier@gentoo.org> pointed out several things about
	  the build procedure:
	  - -W/-O flags are useless in header checks in the configure script
	  - $compiler was not used for header checks in the configure script
	  - Cleaned CFLAGS handling so that if CFLAGS is set by the 
	    environment, the default -O2 is stripped away from the
	    src/Makefile.in.

2005-10-23  Heikki Orsila <heikki.orsila@iki.fi>
	* Version 1.3.7
	- Fixed INSTALL documentation. The INSTALL file documented the
	  old behaviour, where editing Makefile was required for installing
	  to an alternative path.
	- Fixed 'configure --help' to report usage properly. '--prefix dir' =>
	  '--prefix=dir'.
	- Shortened cksfv output to print only 2 lines to the beginning of a
	  newly created sfv file. cksfv version, date, time, and the project
	  web site URL.
	- A stack corruption and localtime error fix by
	  T. Farago <darkvater@openttd.org>
	- Added -b option to the command line help.

2005-10-03  Heikki Orsila <heikki.orsila@iki.fi>
	- Fixed a stack corruption error and localtime error in prsfv_head() /
	  print.c. The fix was provided by T. Farago <darkvater@openttd.org>.
	- Fixed command line help. It missed explanation of -b option.

2005-08-08  Heikki Orsila <heikki.orsila@iki.fi>
	* version 1.3.6
	- Portability fix for Solaris (Stefan Alfredsson <alfs@debian.org>)

2005-08-03  Heikki Orsila <heikki.orsila@iki.fi>
	- A configure script bug was fixed that prevented inttypes.h from being
	  detected if stdint.h doesn't exist. This bug seems affect some
	  Solaris systems (they had inttypes.h but no stdint.h). Thanks to
	  Stefan Alfredsson <alfs@debian.org> for the fix.
	- Added optimization into the configure script. Now inttypes.h is not
	  checked if stdint.h exists.

2005-06-07  Heikki Orsila <heikki.orsila@iki.fi>
	* version 1.3.5
	- recursive SFV checking support by Travis Poppe <tlp@liquidx.org>
	- portability fix for OpenBSD

2005-05-22  Heikki Orsila <heikki.orsila@iki.fi>
	* version 1.3.5-pre2
	- portable integer type #include fix for OpenBSD and possibly others.
	  thanks to Daniel Kåkneryd for pointing out the problem. (shd)

2005-05-12  Heikki Orsila <heikki.orsila@iki.fi>
	* version 1.3.5-pre1
	- (copied from 2005-05-11) feature that prints out sfv files with
	  broken files and broken
	  sfv files when recursive sfv checking is enabled. this is useful
	  because print out in recursive mode can be long. one sees those
	  sfv files that failed at the end of the output. Thanks to
	  Travis Poppe <tlp@liquidx.org> for suggesting this feature (shd)

2005-05-11  Heikki Orsila <heikki.orsila@iki.fi>
	- feature that prints out sfv files with broken files and broken
	  sfv files when recursive sfv checking is enabled. this is useful
	  because print out in recursive mode can be long. one sees those
	  sfv files that failed at the end of the output. Thanks to
	  Travis Poppe <tlp@liquidx.org> for suggesting this feature (shd)

2005-04-04  Heikki Orsila <heikki.orsila@iki.fi>
        * version 1.3.4
	- compatibility fixes
	- recursive sfv file checking support by Durk van Veen
	  <durk.van.veen@gmail.com>

2005-03-26  Heikki Orsila <heikki.orsila@iki.fi>
	- trivial fix for 'make check'. It wasn't posix sh compatible.
	  On bash "==" is the same as "=".

2005-03-26  Heikki Orsila <heikki.orsila@iki.fi>
	* version 1.3.4-pre5
	- added recursion support from Durk van Veen <durk.van.veen@gmail.com>

2005-03-21  Heikki Orsila <heikki.orsila@iki.fi>
	- fixed 'make install' bug. Man dir was not created properly. Thanks
	  to Durk van Veen <durk.van.veen@gmail.com> for finding this.

2005-02-21  Heikki Orsila <heikki.orsila@iki.fi>
	* version 1.3.4-pre1
	- consistent policy for BSD and Linux systems. Trying to checksum a
	  directory lead to different actions. Also, trying to verify
	  checksum of a directory bugged.

2005-02-06  Heikki Orsila <heikki.orsila@iki.fi>
        - 'make check' executes tests. 'make tests' doesn't.

2005-02-04  Heikki Orsila <heikki.orsila@iki.fi>
	* version 1.3.3
	- lots of changes. see previous changelog entries.

2005-02-04  Heikki Orsila <heikki.orsila@iki.fi>
        - configure script now ignore unknown arguments (but gives a warning)
	- configure allows setting mandir and compiler. Examples:
	  --mandir=/usr/man
	  --compiler=/opt/experimental/gcc-4/bin/gcc
	- fixed wording in man file (Thomas Klausner)
	- -b option: print only basenames of the given files when creating
	  an sfv.

2005-02-03  Heikki Orsila <heikki.orsila@iki.fi>
	- fixed O_LARGEFILE for macosx
	- Thomas Klausner submitted partial sfv checking patch by Dieter Baron
	  <dillo@giga.or.at>. Now
	  cksfv -f foo.sfv [FILE1 FILE2 ...] checks only given FILES.
	- Thomas Klausner <tk@giga.or.at> submitted patch by Tobias Nygren
	  <tnn@netilium.org> to avoid calculating CRC twice per
	  file (read once, compute twice).

2005-02-03  Heikki Orsila  <heikki.orsila@iki.fi>
        * version 1.3.2
        - solaris printf workaround. use %lu tu print filesizes. works
	  best on 64-bit architectures (with compilers assuming sizeof(long)
	  == sizeof(size_t)). GNU/Linux support %zu which is the appropriate
	  modifier for this case, but can't have it everywhere.
	- doesn't print directory infos into catalogues when creating sfvs
	- see other modifications since 1.3.1 (many of them)
	
2005-01-26  Heikki Orsila  <heikki.orsila@iki.fi>
	- fixed output (displayed only 32-bit file sizes, and months wrong)
	  OLD:
	  ;    100663296  14:54.37 2005-00-25 zeros
	  NEW:
	  ;   4395630592  14:54.37 2005-01-25 zeros
	- lots of code cleanups
	- solaris fixes
	
2005-01-25  Heikki Orsila  <heikki.orsila@iki.fi>
	* no new version
        - Added and edited man page from Debian distribution
	- Fixed Makefile issues for -jx
	- Added a simple configure script for more consistent compilation
	- Removed b0rken rpm creation from Makefile
	- Removed spam messages (when creating and verifying checksums)
	- Added test cases (make tests)
	- added fake and lousy stdint.h generation (OS that don't have it
	  should be upgraded)

2005-01-24  Heikki Orsila  <heikki.orsila@iki.fi>
        * no new version
	- I decided to start maintaining the program since Bryan Call is
	  unreachable.

2004-05-25  Heikki Orsila  <heikki.orsila@iki.fi>
        * version 1.3.1
	- Fixed 64-bit issues. Went into Gentoo portage.

2000-12-28  Bryan Call  <bc@fodder.org>
	* version 1.3
	- Fixed the problem with ignoring case.  Lots of people have mentioned
	  it (used the patch from Harold Gutch).
	- Now will compile on RedHat 7.1.
	
2000-12-28  Bryan Call  <bc@fodder.org>
	* version 1.2
	- Fixed the a problem when making a new sfv it was not being zero
	  padded (found by Justin Head and Andre Tertling).
	- Added the idea, when insensitive matching is activated, it will treat
	  "_" and " " equal. For example it will treat "foo_bar.txt" and
	  "Foo Bar.txt" the same (suggested and patch given by Andree
	  Borrmann).
	- Made it so it will not choke on blank lines.

2000-05-18  Bryan Call  <bc@fodder.org>
	* version 1.1
	- Added verbose to the program.  Now the program will list what file it
	  is working on and the status of the file.  When it is finished it
	  will display a final result, if it encountered any errors or not,
	  and it will print the bell character. You can turn this off with the
	  -q option (quiet).
	- Moved some functions around a some other minor stuff.

2000-05-16  Bryan Call  <bc@fodder.org>
	* version 1.0
	- This is the first version that has been released for public
	  consumption.  Hopefully, I have worked out most of the bugs. I have
	  this working on FreeBSD 3.4 and Redhat 6.1 (i386).
